import java.io.*;
class NA03DCS
{
  public static void main (String args[]) throws IOException
  {   double f[]={-1,1,-1,1};
  String s="x*x+2.0*y*y-0.3*cos(3.0*Math.PI*x)-0.4*cos(4.0*Math.PI*y)+0.3+0.4";
  
	  Plot3DCS.func(s,f,70);    
  }
}